<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">
    <f:view contentType="text/html">
        <h:head>
            <title><ui:insert name="title">.::Sistema Nacional Catastral::.</ui:insert>
            </title>
            <meta content='text/html; charset=UTF-8' http-equiv='Content-Type' />
            <link type="text/css" rel="stylesheet" id="temaCss"
                  href="#{request.contextPath}/css/#{menu.tema}/jquery-ui-1.8.16.custom.css" />
            <link type="text/css" rel="stylesheet"
                  href="#{request.contextPath}/css/snc.css" />
            <link type="text/css" rel="stylesheet"
                  href="#{request.contextPath}/css/default.css" />
            <script type="text/javascript" src="#{request.contextPath}/js/newrelic.js"></script>	
            <script type="text/javascript" src="#{request.contextPath}/js/snc.js"></script>
            <script type="text/javascript" src="#{request.contextPath}/js/OpenLayers.js"></script>
            <script type="text/javascript" src="#{request.contextPath}/js/cargarComparativo.js"></script> 
            <style type="text/css">
                .ui-widget {
                    font-size: 75%;
                }

                .themeMenu {
                    overflow: auto;
                    height: 300px;
                    width: 200px;
                }
            </style>
        </h:head>

        <!--TODO :: fredy.wilches :: revisar el llamado a la función cerrando(). Está presentando problemas y parece que nunca se ejecuta :: pedro.garcia -->    
        <!-- h:body onload="lanzar();" onkeydown="desactivar()"
                onkeypress="my_onkeydown_handler()" onunload="cerrando()" -->

        <h:body onload="lanzar();" onkeydown="desactivar()"
                onkeypress="my_onkeydown_handler()" >


            <p:growl id="msgGrowlGeneral" showDetail="false" showSummary="true"
                     rendered="false" />

            <p:notificationBar position="bottom" effect="slide"
                               widgetVar="statusDialog"
                               style="filter:alpha(opacity=80);opacity:0.5;padding:10px 0 0 10px;height:24px;">
                <h:outputText value="Comunicando con el servidor..." />
            </p:notificationBar>

            <ui:include src="idleMonitor.xhtml"></ui:include>

            <p:layout fullPage="true" id="contenidoTotal">

                <p:layoutUnit id="top" position="north" resizable="true">

                    <h:panelGrid columns="3" width="100%" style="text-align: center">
                        <h:graphicImage value="/images/snc_final__3.png" width="133"
                                        height="66" />
                        <h:panelGrid columns="1" style="text-align: center" width="100%">
                            <h:outputText value="SISTEMA NACIONAL CATASTRAL"
                                          styleClass="titulo" />
                        </h:panelGrid>

                        <p:panel header="Sesión">
                            <center>
                                <h:panelGrid columns="2">
                                    <h:link value="Salir del sistema" styleClass="commandLinkStyle" />
                                    <h:outputLink value="/snc/logout" 
                                                  title="Salir del sistema" styleClass="commandLinkStyle" >
                                        <p:graphicImage style="border: none" width="20" height="20"
                                                        value="/images/eliminar.png" />
                                    </h:outputLink>
                                </h:panelGrid>
                            </center>
                        </p:panel>

                    </h:panelGrid>

                </p:layoutUnit>


                <p:layoutUnit id="right" position="east" header="Ayuda"
                              resizable="true" closable="true" collapsible="true" collapsed="true">
                    <h:form rendered="true">
                        <p:themeSwitcher buttonPreText="Skin"
                                         rendered="false" />
                        <ui:include src="/templates/themeMenu.xhtml" />

                        <h:selectOneMenu id="tema" label="Tema" value="#{menu.tema}">
                            <f:selectItem itemLabel="Tierra-verde-blanco"
                                          itemValue="custom-theme3" />
                            <f:selectItem itemLabel="Tierra-verde" itemValue="custom-theme4" />
                            <f:selectItem itemLabel="Tierra-amarillo"
                                          itemValue="custom-theme1" />
                            <f:selectItem itemLabel="Tierra-arena" itemValue="pepper-grinder" />
                            <f:selectItem itemLabel="Azul" itemValue="redmond" />
                            <p:ajax event="change" update=":contenidoTotal" immediate="true"
                                    oncomplete="location.href=location.href;" />
                        </h:selectOneMenu>
                        <ui:remove>
                            <p:themeSwitcher value="#{menu.tema}" style="width:150px"
                                             effect="fade" id="statefulSwitcher">
                                <f:selectItem itemLabel="Choose Theme" itemValue="" />
                                <f:selectItems value="#{themeSwitcherBean.themes}" />
                                <p:ajax listener="#{themeSwitcherBean.saveTheme}" event="change"
                                        update=":contenidoTotal" immediate="true"
                                        oncomplete="location.href=location.href;" />
                            </p:themeSwitcher>

                            <p:themeSwitcher style="width:150px" id="defaultSwitcher">
                                <f:selectItem itemLabel="Choose Theme" itemValue="" />
                                <f:selectItems value="#{themeSwitcherBean.themes}" />
                            </p:themeSwitcher>
                        </ui:remove>
                    </h:form>
                </p:layoutUnit>

                <p:layoutUnit id="center" position="center">
                    <ui:insert name="content">
                    </ui:insert>
                </p:layoutUnit>
            </p:layout>

            <!-- ///GoogleAnalytics/// -->
            <script>
                (function (i, s, o, g, r, a, m) {
                    i['GoogleAnalyticsObject'] = r;
                    i[r] = i[r] || function () {
                        (i[r].q = i[r].q || []).push(arguments)
                    }, i[r].l = 1 * new Date();
                    a = s.createElement(o),
                            m = s.getElementsByTagName(o)[0];
                    a.async = 1;
                    a.src = g;
                    m.parentNode.insertBefore(a, m)
                })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

                ga('create', 'UA-43899828-1', 'igac.gov.co');
                ga('send', 'pageview');

            </script>
            <!-- ///GoogleAnalyticsEnd/// -->
        </h:body>
    </f:view>
</html>
